#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-Ag7mhZx2gmuF1yFOZToWf8-dns-internal
key:                  dns-4.1.1-Ag7mhZx2gmuF1yFOZToWf8-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  efd5afa6dac26181d6f939860c28ee3e
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-Ag7mhZx2gmuF1yFOZToWf8-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-7zRWRGcsDHK4x7TGVl8w2c
    attoparsec-0.14.4-L0PdW4nkr6mJUEG3ZdEFXH
    auto-update-0.1.6-LJmHXcooCIL5a84yG4HhEq base-4.17.2.1
    base16-bytestring-1.0.2.0-L60Rqi32njv1QNA4jOe3ZV
    base64-bytestring-1.2.1.0-9p4vtkAuTQ4GHdtuHWxZHU
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-FZkso54i68UDZy9QWLkbnV
    containers-0.6.7 cryptonite-0.30-9aiao6Baet5LbFVZqeOgvR
    hourglass-0.2.12-E353IpRNv86HCvykU3aeXW
    iproute-1.7.15-IVX3dNQ98xj7Xjj0zY46d8 mtl-2.2.2
    network-3.1.4.0-6CSLlS2XYBeLlFfm0MgCfu
    psqueues-0.2.8.1-D1rbFlFjDOcEAE5h2ZOCFa

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-2g4C6U8iiVKFlSMNFE2XQ5
key:                  dns-4.1.1-2g4C6U8iiVKFlSMNFE2XQ5
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  457f7edff946ab6e5e13e7f48c5102cb
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-2g4C6U8iiVKFlSMNFE2XQ5
depends:
    array-0.5.4.0 async-2.2.5-7zRWRGcsDHK4x7TGVl8w2c
    attoparsec-0.14.4-L0PdW4nkr6mJUEG3ZdEFXH
    auto-update-0.1.6-LJmHXcooCIL5a84yG4HhEq base-4.17.2.1
    base16-bytestring-1.0.2.0-L60Rqi32njv1QNA4jOe3ZV
    base64-bytestring-1.2.1.0-9p4vtkAuTQ4GHdtuHWxZHU
    bytestring-0.11.5.3 containers-0.6.7
    cryptonite-0.30-9aiao6Baet5LbFVZqeOgvR
    dns-4.1.1-Ag7mhZx2gmuF1yFOZToWf8-dns-internal
    hourglass-0.2.12-E353IpRNv86HCvykU3aeXW
    iproute-1.7.15-IVX3dNQ98xj7Xjj0zY46d8 mtl-2.2.2
    network-3.1.4.0-6CSLlS2XYBeLlFfm0MgCfu
    psqueues-0.2.8.1-D1rbFlFjDOcEAE5h2ZOCFa

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

